# XQilla Simple API Documentation

# AutoContextInfoReset Class Reference

`#include <ContextHelpers.hpp>`

List of all members.

## Public Member Functions

| AutoContextInfoReset (DynamicContext *context)
| AutoContextInfoReset (DynamicContext *context, const Item::Ptr &contextItem, size_t contextPosition=0, size_t contextSize=0)
| ~AutoContextInfoReset ()
void | resetContextInfo ()

## Public Attributes

Item::Ptr | oldContextItem
size_t | oldContextPosition
size_t | oldContextSize

## Constructor & Destructor Documentation

AutoContextInfoReset::AutoContextInfoReset | ( | DynamicContext * | context | ) | `[inline]`

AutoContextInfoReset::AutoContextInfoReset | ( | DynamicContext * | context,
|  | const Item::Ptr & | contextItem,
|  | size_t | contextPosition = `0`,
|  | size_t | contextSize = `0` |
| ) |  |  | `[inline]`

References DynamicContext::setContextItem(), DynamicContext::setContextPosition(), and DynamicContext::setContextSize().

AutoContextInfoReset::~AutoContextInfoReset | ( |  | ) | `[inline]`

## Member Function Documentation

void AutoContextInfoReset::resetContextInfo | ( |  | ) | `[inline]`

## Member Data Documentation

Item::Ptr AutoContextInfoReset::oldContextItem

size_t AutoContextInfoReset::oldContextPosition

size_t AutoContextInfoReset::oldContextSize

The documentation for this class was generated from the following file:

- ContextHelpers.hpp